## com.crystaldecisions.report.web.viewer
Class ReportExportControl

    java.lang.Object
      com.crystaldecisions.report.web.ServerControl
          com.crystaldecisions.report.web.viewer.ReportServerControl
              com.crystaldecisions.report.web.viewer.ReportExportControl

public class ReportExportControl
extends ReportServerControl

This class provides exporting functionality including the ability to preview an exported report or save an exported report to disk.

The following example includes methods from the `ReportExportControl` class, `com.crystaldecisions.sdk.occa.report.exportoptions.PDFExportFormatOptions` class, and the `com.crystaldecisions.sdk.occa.report.exportoptions.ExportOptions` class.

#### Example:

Java Report Export Control Example

Constructor Summary
`ReportExportControl()`

Method Summary
`void` | `setExportAsAttachment(boolean bAsAttachment)` Sets whether to export the files as an attachment.
`void` | `setExportOptions(com.crystaldecisions.sdk.occa.report.exportoptions.ExportOptions expOpt)` Sets the export options and the export format for the report.

Methods inherited from class com.crystaldecisions.report.web.viewer.ReportServerControl
`addReportPartBookmarkNavigationEventListener, addReportSourceChangeEventListener, dispose, getDatabaseLogonInfos, getEnterpriseLogon, getParameterFields, getReportSource, getReportSourceClassFactoryName, getSelectionFormula, getStyleSheetFileName, isEnableLogonPrompt, isEnableParameterPrompt, isReuseParameterValuesOnRefresh, navigateTo, refresh, removeReportPartBookmarkNavigationEventListener, removeReportPartBookmarkNavigationEventListenerr, removeReportSourceChangeEventListener, setDatabaseLogonInfos, setEnableLogonPrompt, setEnableParameterPrompt, setEnterpriseLogon, setParameterFields, setReportSource, setReportSourceClassFactoryName, setReuseParameterValuesOnRefresh, setSelectionFormula, setStyleSheetFileName, setURI, setViewTimeSelectionFormula`

Methods inherited from class com.crystaldecisions.report.web.ServerControl
`deserializeBase64ToObject, getHeight, getHtmlContent, getLeft, getName, getTop, getURI, getViewState, getWidth, isIgnoreViewStateOnLoad, isOwnForm, isOwnPage, processHttpRequest, setHeight, setIgnoreViewStateOnLoad, setLeft, setName, setOwnForm, setOwnPage, setTop, setViewState, setWidth`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportExportControl

    public ReportExportControl()

Method Detail

### setExportOptions

    public void setExportOptions(com.crystaldecisions.sdk.occa.report.exportoptions.ExportOptions expOpt)

  Sets the export options and the export format for the report. The export options can also include the page range.

  Note: You must provide a valid value for this method.

  Parameters:
    `expOpt` - A `com.crystaldecisions.sdk.occa.report.exportoptions.ExportOptions` object that specifies the export options and the export format for the report.

### setExportAsAttachment

    public void setExportAsAttachment(boolean bAsAttachment)

  Sets whether to export the files as an attachment.

  Note: The default value for this method is `false`. If you set this to `true` you will be provided with a dialog box that allows you to export the report to disk. If the value is `false` then the report will export and display in the browser.

  Parameters:
    `bAsAttachment` - `true` to export the files as attachments.